#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include "pwm.h"

int main(int argc, char* argv[]) {
	int channel;
	unsigned long period, duty;
	
	if(argc > 3) {
		channel = (int)atoi(argv[1]);
		period = (unsigned long)atol(argv[2]);
		duty = (unsigned long)atol(argv[3]);
	} else {
		channel = 0;
		period = 1000;
		duty = 500;
	}
	
	printf("Channel %d Send PWM (period = %d, duty = %d)...\n", channel, period, duty);
	
	if(PWM_init() != 0) {
		printf("error!!");
		return -1;
	}
	if(SwitchPIN(channel, PWM) == -1) {
		printf("SWITCHPIN ERROR!!\n");
		return -1;
	}
	SendPWM(channel, period, duty);
	printf("Enter to exit\n");
	getchar();
	StopPWM(channel);
	IsPWMStop(channel);
	PWM_close();
	return 0;
}
